unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    procedure FormPaint(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormPaint(Sender: TObject);
var
  Bitmap: TBitmap;
  i, font_width, font_height: Integer;
  s: String;
begin
  Bitmap := TBitmap.Create;
  with Bitmap do
  begin
    with Canvas do
    begin
      Brush.Color := clBlack;
      Font.Color := clWhite;
      Font.Name := 'Geometric 231 AT';
      Font.Style := [fsBold];
      Font.Size := 30;
      font_width := TextWidth('W') + 1;
      font_height := TextHeight('W') + 1;
      Width := 16 * font_width;
      Height := 16 * font_height;
      FillRect(Rect(0, 0, Width, Height));
      for i := 0 to 255 do
      begin
        s := Chr(i);
        TextOut((i mod 16) * font_width + (font_width - 1 - TextWidth(s)) div 2,
          (i div 16) * font_height, s);
      end;
    end;
    SaveToFile('font_output.bmp');
    Form1.Canvas.Draw(0, 0, Bitmap);
    Free;
  end;
end;

end.

